package com.bankaudit.dao;

import com.bankaudit.dto.ChangePasswordDto;

public interface UserResetPasswordDao extends Dao {
	
	public String validateLink(ChangePasswordDto changePasswordDto);
	
	public int getPwdExpiryTime(Integer legalEntityCode);
	
	public String getEmailIdforResetPassword(Integer legalEntityCode,String userId);
	
	public void resetPassword(ChangePasswordDto changePasswordDto);
}
